<md-toolbar color="primary">
  <div class="box box-left">
    <button md-icon-button color="primary" class="toolbar-menu" [mdMenuTriggerFor]="appMenu">
      <md-icon class="toolbar-icon">menu</md-icon>
    </button>

    <md-menu #appMenu="mdMenu">
      <button *ngIf="userDefined()" md-menu-item routerLink="/repositories" routerLinkActive="active" >
        Repositories
      </button>
    </md-menu>

      <a class="toolbar-title flex-bar" [routerLink]="['']" [routerLinkActive]="['router-link-active']"
        [routerLinkActiveOptions]="{exact:true}">
        <img src="assets/images/gitmate_circle.svg">
        <span>&nbsp;&nbsp;GitMate</span>
      </a>

    <span class="toolbar-filler"></span>
  </div>

  <div class="flex-bar content-width">

    <div *ngIf="!search_bar_expanded">
      <button *ngIf="userDefined()" md-button routerLink="/repositories" routerLinkActive="active" class="nav-button" >
        REPOSITORIES
      </button>
    </div>
    <app-searchbar *ngIf="userDefined()" (onResized)="onSearchBarResized($event)"></app-searchbar>
  </div>

  <div class="box box-right">
    <span class="toolbar-filler"></span>

    <button md-raised-button *ngIf="!userDefined()" color="accent" style="margin-right:15px" (click)="loginGitHub()">
      Login with GitHub
    </button>

    <button md-raised-button *ngIf="!userDefined()" color="accent" (click)="loginGitLab()">
      Login with GitLab
    </button>

    <button md-button *ngIf="userDefined()" [mdMenuTriggerFor]="userMenu">
      <md-icon>person</md-icon>
      <span>{{user.username}}</span>
    </button>

    <md-menu #userMenu="mdMenu">
      <button md-menu-item routerLink="/profile" routerLinkActive="active">Profile</button>
      <button md-menu-item (click)="logout()" >Logout</button>
    </md-menu>
  </div>
</md-toolbar>
